View Issue Details

IDProjectCategoryView StatusLast Update
00311352.x IDE BugsCompilingPublic2019-07-09 11:45
ReporterStewart BishopAssigned ToRussell Kay 
PriorityVery HighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
PlatformWindowsOSOS Version
Product Version2.2.3 
Target Version2.2.3Fixed in Version2.2.3 
Summary0031135: Compiling: Asset Compiler gets stuck in an infinite loop "Reading config delta" trying to process overridden instance variables
DescriptionWithin some specific projects, the asset compiler will get stuck in an infinite loop. The issue is handling objects which have parents and override their instance variables in the room editor.

Using runtime 2.2.2 with IDE 2.2.3 allows the project to run and the inheritance works correctly using that runtime.


Note also that some users are able to build their game, but see that the inheritance of the values has not happened and so the child instance continues to use the default value for the parent object - it's only when passing the project on to others that the "Reading config delta" is seen (somehow...?).
Steps To Reproduce1) Import \\yoyo-file01\Projects\GMS2-Bugs\0031135-Test.yyz
2) Run it / try to clean the project
3) See that the compile gets stuck quite early on at a "Reading config delta" line
4) Open the room and open the properties for the instance to remove the override on its instance variable
5) Manually save the project using the floppy disk button (important - otherwise you won't change anything)
6) Run/clean the project now and observe it works now
Repro: 100%
TagsGM2KI, GMKI
2.x IDE Found In2.2.3.433
2.x Runtime Found In2.2.3.341
2.x IDE Verified In2.2.3.433
2.x Runtime Verified In2.2.3.343

Activities

Dan

2019-07-05 16:32

Adminstrator   ~0064356

There are two other larger projects which exhibit this issue in that bugs folder also, so make sure all three now work before resolving.

Dan

2019-07-05 16:35

Adminstrator  

Russell Kay

2019-07-05 17:49

Manager   ~0064360

Fixed in gitlab

Dan

2019-07-08 09:08

Adminstrator   ~0064361

Runtime 342+

Dan

2019-07-08 17:11

Adminstrator   ~0064375

All three projects now build/clean correctly. Closing.

Note that "FinalQuest" has a code error on game start, but this is the same as the project does in 2.2.2.